%bcond_with bootstrap

Name:           maven-verifier
Version:        1.7.2
Release:        %mkrel 10
Group:          Development/Java
Summary:        Apache Maven Verifier Component
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-verifier
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
%endif

%description
Provides a test harness for Maven integration tests.

%package javadoc
Summary:        Javadoc for %{name}
    
%description javadoc
API documentation for %{name}.

%prep
%setup -q

# This test attempts to write outside the build directory
rm src/test/java/org/apache/maven/it/ForkedLauncherTest.java

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Mon Jul 25 2022 neoclust <neoclust> 1.7.2-10.mga9
+ Revision: 1871245
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1.7.2-9.mga9
+ Revision: 1870771
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.7.2-1.mga8
+ Revision: 1621479
- Update to version 1.7.2
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.6-6.mga8
+ Revision: 1491956
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.6-5.mga7
+ Revision: 1264143
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.6-4.mga6
+ Revision: 1101385
- Rebuild maven-* packages
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.6-2.mga6
+ Revision: 977326
- First rebuild of the java stack
- sync package maven-verifier with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 1.5-1.mga5
+ Revision: 806201
- New version

* Wed Oct 15 2014 umeabot <umeabot> 1.4-8.mga5
+ Revision: 745320
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 dmorgan <dmorgan> 1.4-6.mga5
+ Revision: 636257
- Add missing BR: maven-shared

* Sat Oct 19 2013 umeabot <umeabot> 1.4-5.mga4
+ Revision: 529838
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 1.4-4.mga4
+ Revision: 453671
- imported package maven-verifier


* Fri Apr 19 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.4-4
- Update to maven-shared-utils 0.3

* Fri Feb 08 2013 Tomas Radej <tradej@redhat.com> - 1.4-3
- Building the new way

* Thu Jan 24 2013 Tomas Radej <tradej@redhat.com> - 1.4-2
- Added BuildRequires on maven-shared-utils

* Wed Jan 16 2013 Tomas Radej <tradej@redhat.com> - 1.4-1
- Initial version

